<?php
if ( ! class_exists( 'IPEng_Factory_Page' ))
{
  /**
   * Widget factory class
   *
   * @package wp-page-takeover
   * @author InstaProduct
   * @link http://insta-product.com/
   */

  class IPEng_Factory_Page extends IPEng_Factory
  {
    //{{ __construct

    /**
     * Class constructor
     *
     * @return void
     */
    public function __construct()
    {
    }

    //}}
    //{{ render

    /**
     * Render page
     *
     * @return string
     */
    public function render()
    {
      if ( ! empty( $_GET['widget'] ) && ! empty( $_GET['post'] ))
      {
        $model    = new IPEng_Model();
        $widgetId = absint( $_GET['widget'] );
        $postId   = absint( $_GET['post'] );
        $widget   = get_post( $widgetId );
        $post     = get_post( $postId );

        if ( $widget && $post )
        {
          $this->widget   = $widget;
          $this->post     = $post;
          $this->choices  = $model->getChoices( $widget->ID );
          $this->setting  = new IPEng_Setting( $widget->ID, '__ipeng-widget-setting' );
          $this->statData = $model->getStats( $widget->ID );


          $this->cssurl    = IPENG_BASE_URL . 'assets/css/';
          $this->jsurl     = IPENG_BASE_URL . 'assets/js/';
          $this->imgurl    = IPENG_BASE_URL . 'assets/img/';

          $this->view( 'front/page/result' );
          exit;
        }
      }
      $query->query_vars['post_type'] = 'ipptak-item-nothing';
    }

    //}}
  }
}
