<?php
/**
 * Result page header view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<div class="ipeng-page">
  <div class="_wrapper">
    <div class="_inner container">
      <?php
      $bgcolor = $st->getSetting( 'content_background_color', '#f9f9f9' );
      $padding = $st->getSetting( 'content_padding', '0' );
      $width   = $st->getSetting( 'widget_width', 280 );
      $style   = $st->getSetting( 'box_style', '1' );
      ?>

      <style>
      <?php
      //.ipeng-widget-main
      ?>
      .ipeng-widget-<?php echo $this->widget->ID; ?> {
        width: <?php echo $width; ?>px;
      }
      <?php
      //.ipeng-widget-main
      if ( $style != 7 ) :
      ?>
      .ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-inner {
        background-color: <?php echo $bgcolor; ?>;
      }
      <?php
      endif;
      ?>

      <?php
      if ( $style == 1 ) :
      ?>
      .ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-inner {
        padding: <?php echo $padding; ?>px;
      }
      <?php
      else :
      ?>
      .ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-main {
        padding: <?php echo $padding; ?>px;
      }
      <?php
      endif;
      ?>
      </style>

      <?php
      $mainClass  = 'ipeng-widget ipeng-widget-page';
      $mainClass .= ' ipeng-widget-' . $this->widget->ID;
      $mainClass .= ' ipeng-widget-' . $st->getSetting( 'position', 'right' );
      $mainClass .= ' ipeng-widget-style-' . $style;
      if ( $st->getSetting( 'box_shadow', 'false' ) == 'true' ) {
        $mainClass .= ' ipeng-shadow-on';
      } else {
        $mainClass .= ' ipeng-shadow-off';
      }
      $mainClass .= ' ipeng-content-radius-' . $st->getSetting( 'content_border_radius' );
      $mainClass .= ' ipeng-footer-radius-' . $st->getSetting( 'footer_border_radius' );

      if ( isset( $this->isPreview )) {
        $mainClass .= ' ipeng-widget-preview ipeng-widget-hide';
      }
      ?>
      <div data-id="<?php echo $this->widget->ID; ?>" class="<?php echo $mainClass; ?>">
        <div class="ipeng-widget-inner">

          <?php 
          $this->isPage = true;
          $this->view( 'front/widget/header' ); 
          ?>