<?php
/**
 * Footer box
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st   = $this->setting;
$info = $st->getSetting( 'widget_footer_info' );

if ( ! empty( $info )) :

$bgcolor  = $st->getSetting( 'footer_background_color', '#f9f9f9' );
$color    = $st->getSetting( 'footer_text_color', '#333333' );
$bowidth  = $st->getSetting( 'footer_border_width' );
$bocolor  = $st->getSetting( 'footer_border_color', '#dddddd' );
$padding  = $st->getSetting( 'footer_padding', '0' );
$style    = $st->getSetting( 'box_style', '1' );

//Font
$font_opt = $st->getSetting( 'footer_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );
?>

<style>
<?php
//.ipeng-widget-footer
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-footer {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  background-color: <?php echo $bgcolor ?>;
}

<?php
//.ipeng-widget-footer-inner
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-footer-inner {
  padding: <?php echo $padding; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

<?php
//Style 2
if ( $style == 2 ) :
  $phpcolor = new phpColor( $bgcolor );
  $bocolor  = $phpcolor->darken( 10 );
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-footer {
  border-color: #<?php echo $bocolor; ?>;
}
<?php
endif;
?>

<?php
//Style 3 || 4
if ( $style == 3 || $style == 4 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-footer:after {
  border-bottom-color: <?php echo $bgcolor; ?>;
}
<?php
endif;
?>

<?php
//Style 7
if ( $style == 7 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-footer:after {
  background-color: <?php echo $bgcolor ?>;
}
<?php
endif;
?>
</style>

<?php
$mainClass = 'ipeng-widget-footer';
if ( $radius = $st->getSetting( 'footer_border_radius' )) {
  $mainClass .= ' ipeng-radius-' . $radius;
}
?>
<!-- start: .ipeng-widget-footer -->
<div class="<?php echo $mainClass; ?>">
	<div class="ipeng-widget-footer-inner">
		<p>
			<?php echo $info; ?>
		</p>
	</div>
</div>
<!-- end: .ipeng-widget-footer -->

<?php
endif;
?>