<?php
/**
 * Media
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st   = $this->setting;
$type = $st->getSetting( 'media_type', 'none' );
if ( $type == 'none' ) {
	return;
}
?>

<div class="ipeng-media ipeng-media-<?php echo $type; ?>">
	<div class="ipeng-media-inner">

		<?php
		if ( $type == 'video' ) :
			$videoUrl = $this->getYoutubeUrl( $st );
			$width    = $st->getSetting( 'video_width', 280 );
			$height   = $st->getSetting( 'video_width', 200 );
		?>
			<div class="ipeng-media-main">
				<iframe
		      width="<?php echo $width; ?>"
		      height="<?php echo $height; ?>"
		      src="<?php echo $videoUrl; ?>"
		      frameborder="0"
		      allowfullscreen>
		    </iframe>
	    </div>

		<?php
		else :

			$imgurl = false;
			if ( $img = $st->getSetting( 'media_image' ))
			{
			  $data = wp_get_attachment_image_src( $img, 'full' );
			  if ( ! empty( $data[0] )) {
			    $imgurl = $data[0];
			  }
			}
		?>

			<div class="ipeng-media-main">
				<img src="<?php echo $imgurl; ?>" alt="">
			</div>

		<?php
		endif;
		?>

	</div>
</div>