(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var ui = require( './../libs/ui.js' );

(function($)
{
  "use strict";

  $(document).ready(function()
  {
    //
    //Init ui
    ui.base.modal.prototype.top_margin = '20px';
    var modal  = new ui.base.modal();

    ui.base.loader.prototype.image_base  = ipeng_img_url;
    ui.base.loader.prototype.loader_file = 'loading.gif'; 
    var loader  = new ui.base.loader();
    var message = new ui.base.message();


    var winWidth = $(window).width();

    //
    //Record show
    if ( $( '.ipeng-widget' ).length > 0 )  
    {
      $( '.ipeng-widget' ).each( function()
      {
        var widget = $(this);
        var id     = widget.data( 'id' );
        if ( widget.hasClass( 'ipeng-widget-preview' ) || widget.hasClass( 'ipeng-widget-page' )) {
          return false;
        }
        //Save view stat
        $.ajax({
          url: ipeng_ajaxurl+'?doajax=1&ipeng=1&action=savestat',
          type: "POST",
          data: 'widget_id='+id+'&type=view',
          dataType: "json",
          success: function ( result ) {}
        });
      });
    }

    //
    //Choice click
    //
    $( '.ipeng-choice-button' ).click( function()
    {
      var main      = $(this).parents( '.ipeng-widget-main' );
      var widget    = $(this).parents( '.ipeng-widget' );
      var choiceId  = $(this).data( 'id' );
      var widgetId  = widget.data( 'id' );
      var action    = main.data( 'action' );

      main.addClass( 'ipeng-processing' );

      //
      //Show loader
      var loader = $( '.ipeng-content-loader', main );
      loader.css( 'opacity', 0 ).show();
      loader.animate( {opacity:1}, 500, function()
      {
        //
        //Show result
        $( '.ipeng-choices', main ).hide();
        $( '.ipeng-result', main ).show();
        $( '.ipeng-widget-title-before', widget ).hide();
        $( '.ipeng-widget-title-after', widget ).show();
      });

      //Save view stat
      $.ajax({
        url: ipeng_ajaxurl+'?doajax=1&ipeng=1&action=savechoice',
        type: "POST",
        data: 'widget_id='+widgetId+'&choice_id='+choiceId+'&post_id='+ipeng_post_id+'&result_action='+action,
        dataType: "json",
        success: function ( result ) 
        {
          if ( result.redirect && (action == 'redirect' || action == 'page') ) {
            window.location.href = result.redirect;
          }
          else {
            loader.animate( {opacity:0}, 500, function()
            {
              loader.hide();
            });
          }
        }
      });

      return false;
    });

    //
    //Widget event
    //
    $( '.ipeng-widget' ).each( function()
    {
      var widget     = $(this);
      var settings   = $( '.ipeng-effect-settings', widget );
      var h_effect   = settings.data( 'hide_effect' );
      var h_speed    = settings.data( 'hide_speed' );
      var s_effect   = settings.data( 'show_effect' );
      var s_speed    = settings.data( 'show_speed' );
      var delay      = settings.data( 'delay' );
      var ispreview  = settings.data( 'ispreview' );

      var h_easing   = ipeng_getEasing( h_effect );
      var s_easing   = ipeng_getEasing( s_effect );

      //
      //First show widget
      if ( delay != '0' && ispreview != '1' )
      {
        if ( widget.hasClass( 'ipeng-widget-right' )) {
          widget.css( 'right', '-120%' );
        }
        else {
          widget.css( 'left', '-120%' );
        }

        var delayInt = new Number( delay );
        delayInt *= 1000;
        setTimeout( function()
        {
          var attr = {};
          if ( widget.hasClass( 'ipeng-widget-right' )) {
            attr = {right:'20px'};
          }
          else {
            attr = {left:'20px' };
          }
          widget.animate(
            attr,
            {
              queue:false, duration:h_speed, easing:h_easing,
              complete: function()
              {
              }
            }
          );
          //Play audio
          ipeng_playAudio( 'showing', widget );
        }
        , delayInt );
      }
      else if ( ispreview == '1' )
      {
        if ( widget.hasClass( 'ipeng-widget-right' ))
        {
          widget.css( 'right', '-120%' );
        } else
        {
          widget.css( 'left', '-120%' );
        }
      }

      //
      //Close widget
      var button = $( '.ipeng-close-button', widget );
      button.click( function()
      {
        var attr = {};
        if ( widget.hasClass( 'ipeng-widget-right' ))
        {
          attr = {right:'-120%'};
        } else
        {
          attr = {left:'-120%' };
        }
        widget.animate(
          attr,
          {
            queue:false, duration:h_speed, easing:h_easing,
            complete: function()
            {
              if ( $( '.ipeng-widget-video', widget ).length > 0 ) {
                $( '.ipeng-widget-video', widget ).remove();
              }
            }
          }
        );
        //Play audio
        ipeng_playAudio( 'hiding', widget );

        return false;
      });

    });

    function ipeng_getEasing( effect )
    {
      if ( effect == 'bounce' ) {
          var easing = 'easeOutBounce';
      } else if ( effect == 'back' ) {
          var easing = 'easeOutBack';
      } else if ( effect == 'elastic' ) {
          var easing = 'easeOutElastic';
      } else if ( effect == 'expo' ) { 
          var easing = 'easeOutExpo';
      } else {
          var easing = 'linear';
      }
      return easing;
    };

    function ipeng_playAudio( type, root )
    {
      if ( type == 'hiding' ) {
        var audio = $( '.ipeng-audio-hide', root );
        if ( audio.length > 0 ) {
            audio[0].play();
        }
      } else
      {
        var audio = $( '.ipeng-audio-show', root );
        if ( audio.length > 0 ) {
            audio[0].play();
        }
      }
    };

    //
    //Share link
    $( '.ipeng-share ._share-link' ).click( function()
    {
      loader.show();

      var button = $(this);
      var widget = $(this).parents( '.ipeng-widget' );
      var id     = widget.data( 'id' );

      $.ajax({
        url: ipeng_ajaxurl+'?doajax=1&ipeng=1&action=savestat',
        type: "POST",
        data: 'widget_id='+id+'&type=share',
        dataType: "json",
        success: function ( result ) 
        {
          loader.hide();

          var href = button.attr( 'href' );
          window.open(href,'t','toolbar=0,resizable=1,status=0,width=640,height=528');
        }
      });
      return false;
 
    });

  });
})(jQuery);

},{"./../libs/ui.js":2}],2:[function(require,module,exports){
/*
 *===========================================================
 * UI
 *===========================================================
 */
var ui;

(function($)
{
    "use strict";

    //Inherit function
    function inherit( proto )
    {
        function F() {}
        F.prototype = proto
        return new F
    }

    /*
     *===========================================================
     * Ui prototype
     *===========================================================*/
    function ui_construct( options ){};

    ui_construct.prototype =
    {

        vars:               {},
        class_prefix:       'ipeng-',
        class_main:         '-main',
        class_title:        '-title',
        class_content:      '-content',
        class_disabled:     'disabled',
        class_close:        'ui-close',
        label_close:        'x',
        image_base:         '',

        top_margin:         '80px',
        overlay_speed:      600,
        main_speed:         400,
        show_speed:         4000,

        show_after:         function(){},
        hide_after:         function(){},

        popup_body: function( class_root, content, title, close )
        {
            var body = $( '<div class="'+class_root+'"></div>' );
            var main = $( '<div class="'+class_root + this.class_main+'"></div>' );
            if ( title )
            {
                var _title = $( '<div class="'+class_root + this.class_title+'"></div>' )
                                .append( '<h3>'+title+'</h3>' );
                if ( close )
                {
                    var _close = $( '<a href="#">'+this.label_close+'</a>' );
                    this.popup_close( _close, class_root );

                    _title.append(
                        $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
                    );
                }
                main.append( _title );
            }
            if ( content ) {
                main.append(
                    $( '<div class="'+class_root + this.class_content+'"></div>' ).append( content )
                );
            }
            body.append( main );
            return body;
        },
        popup_show: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );
            popup.show();
            main.css( 'margin-top', '-40%' )
                .animate({marginTop: this.top_margin}, this.main_speed, this.show_after);
        },
        popup_hide: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );

            popup.animate( {opacity: 0}, this.overlay_speed, function(){
                $(this).css( 'opacity', 1 )
                       .hide();
            });
            main.animate( {marginTop: '-60%'}, this.main_speed, this.hide_after);
        },
        popup_close: function( button, class_popup )
        {
            var ui = this;
            button.click( function(){
                var popup = $( '.'+class_popup );
                ui.popup_hide( popup );
                return false;
            });
        },
        is_load: function( selector )
        {
            if ( $( selector ).length > 0 ) {
                return true;
            }
            return false;
        },
        set_vars: function( options )
        {
            this.vars = $.extend(this.vars, options);
        },
        set_base_vars: function( options )
        {
            this.vars = $.extend(this, options);
        },
        go_to: function( selector )
        {
            var pos = $( selector ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        }
    };

    /*
     * Modal Class
     **/
    function modal(){};
    modal.prototype = inherit( ui_construct.prototype );
    //Modal message
    modal.prototype.ajax = function( id, url )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var modal   = this.popup_body( c_root, '', false, false ).appendTo( $( 'body' ) );
        modal.addClass( class_type )
             .attr( 'id', id );

        this.popup_show( modal );
    };

    /*
     * Loader Class
     **/
    function loader(){};
    loader.prototype = inherit( ui_construct.prototype );
    //Properties
    loader.prototype.class_root     = 'ui-loader';
    loader.prototype.loader_file    = 'loading.gif';
    //Show loader
    loader.prototype.show = function()
    {
        var loader = this.create();
        this.popup_show( loader );
    };
    //Hide loader
    loader.prototype.hide = function()
    {
        var loader = this.create();
        this.popup_hide( loader );
    };
    //Create loader
    loader.prototype.create = function()
    {
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = this.popup_body( c_root, image, false, false ).appendTo( $( 'body' ) );
            loader.hide();

            return loader;
        }
    };


    /*
     * Inline loader Class
     **/
    function iloader(){};
    iloader.prototype = inherit( ui_construct.prototype );
    //Properties
    iloader.prototype.class_root   = 'ui-inline-loader';
    iloader.prototype.loader_file  = 'spin.gif';
    //Loader show
    iloader.prototype.show = function( button )
    {
        button.attr( 'disabled', 'disabled' );
        this.create( button ).show();
    };
    //Loader hide
    iloader.prototype.hide = function( button )
    {
        button.removeAttr( 'disabled' );
        this.create( button ).hide();
    };
    //Creating loader
    iloader.prototype.create = function( button )
    {
        var root   = button.parent();
        var lclass = this.class_prefix + this.class_root;
        if ( $( '.'+lclass, root ).length > 0 ) {
            var loader = $( '.'+lclass, root );
        } else {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = $( '<span class="'+lclass+'"></span>' )
                            .append( image )
                            .css( 'margin-left', '8px' );
        }
        button.after( loader );
        return loader;
    };


    /*
     * Confirm popup
     **/
    function confirm( options )
    {
        var defaults = {
            title:      'Confirmation',
            info:       '',
            yes_label:  'Yes',
            no_label:   'Cancel',
            yes_class:  'btn btn-danger',
            no_class:   'btn btn-success',
            action:     function( object ){}
        };
        this.vars = $.extend(defaults, options);
    };
    confirm.prototype = inherit( ui_construct.prototype );
    //Properties
    confirm.prototype.class_root = 'ui-confirm';
    //Confirm show
    confirm.prototype.show = function( object )
    {
        var confirm = this.create( object );
        this.popup_show( confirm );
    };
    //Confirm hide
    confirm.prototype.hide = function( object )
    {
        var confirm = this.create( object );
        this.popup_hide( confirm );
    };
    //Creating confirm
    confirm.prototype.create = function( object )
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            $( '.'+c_root ).remove();
        }
        //Create confirm
        var yesbtn = $( '<a href="#" class="ip-confirm-yes '+this.vars.yes_class+'">'+this.vars.yes_label+'</a>' );
        var nobtn  = $( '<a href="#" class="ip-confirm-no '+this.vars.no_class+'">'+this.vars.no_label+'</a>' );

        yesbtn.click( function(){
            ui.vars.action( object, ui );
            return false;
        });
        this.popup_close( nobtn, c_root );

        var content = $( '<div class="'+c_root+'-inner"></div>' )
            .append( '<p>'+this.vars.info+'</p>' )
            .append(
                $( '<div class="'+c_root+'-actions"></div>' )
                    .append( yesbtn )
                    .append( nobtn )
            );

        var confirm = this.popup_body( c_root, content, this.vars.title, false ).appendTo( $( 'body' ) );
        confirm.hide();

        return confirm;
    };


    /*
     * Alert popup
     **/
    function alert( options )
    {
        var defaults = {
            message:        '',
            label_button:   'Ok',
            class_root:     '',
            class_button:   'ipeng-btn ipeng-btn-sm ipeng-btn-danger',
            after:          function(){}
        };
        this.vars = $.extend(defaults, options);
    };
    alert.prototype = inherit( ui_construct.prototype );
    //Properties
    alert.prototype.class_root = 'ui-alert';
    //Alert show
    alert.prototype.show = function( message )
    {
        this.vars.message = message;
        var alert = this.create();
        this.popup_show( alert );
    };
    //Alert hide
    alert.prototype.hide = function()
    {
        var alert = this.create();
        this.hide_after = this.vars.after;
        this.popup_hide( alert );
    };
    //Creating alert
    alert.prototype.create = function()
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var button = $( '<a href="#" class="'+this.vars.class_button+'">'+this.vars.label_button+'</a>' );
            this.popup_close( button, c_root );

            var c_info  = c_root + '-inner';
            if ( this.vars.class_root != '' ) {
                c_info += ' ' + this.vars.class_root;
            }
            var content = $( '<div class="'+c_info+'"></div>' )
                .append( '<p>'+this.vars.message+'</p>' )
                .append(
                    $( '<div class="'+c_root+'-actions"></div>' )
                        .append( button )
                );

            var popup  = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
            popup.hide();

            return popup;
        }
    };


    /*
     * Message
     **/
    function message(){};
    message.prototype = inherit( ui_construct.prototype );
    //Properties
    message.prototype.class_modal = 'ui-modal-message';
    message.prototype.class_block = 'ui-message';
    //Modal message
    message.prototype.modal = function( message, class_type )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var content = '<p>'+message+'</p>';
        var msg     = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
        msg.addClass( class_type )
           .show()
           .animate({top: "0"}, ui.overlay_speed, function(){
                var object = $( this );
                setTimeout( function(){
                    object.animate({top: '-100px'}, ui.overlay_speed, function(){
                        object.remove();
                    });
                }, ui.show_speed);
            });
    };
    //Bloack message
    message.prototype.block = function( message, class_type, block, close )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_block;
        var parent  = block.parent();

        $( '.'+c_root, parent ).remove();

        var msg = $( '<div></div>' );
        msg.addClass( c_root )
           .addClass( class_type )
           .append( '<p>'+message+'</p>' );

        if ( close )
        {
            var _close = $( '<a href="#">'+this.close_label+'</a>' );
            _close.click( function()
            {
                var _msg = $(this).parents( '.'+c_root );
                _msg.animate({opacity: "0"}, ui.overlay_speed, function(){
                    _msg.remove();
                });
                return false;
            });
            msg.append(
                $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
            );
        }
        msg.css( 'opacity', '0' );
        parent.prepend( msg );
        msg.animate({opacity: "1"}, ui.overlay_speed);
    };

    ui =
    {
        base: {
            construct:  ui_construct,
            loader:     loader,
            iloader:    iloader,
            confirm:    confirm,
            message:    message,
            alert:      alert,
            modal:      modal

        },
        init: function()
        {
            this.loader  = new this.base.loader(),
            this.iloader = new this.base.iloader(),
            this.confirm = new this.base.confirm(),
            this.message = new this.base.message(),
            this.alert   = new this.base.alert(),
            this.modal   = new this.base.modal()
        }
    };

})(jQuery);

module.exports = ui;

},{}]},{},[1]);
