<?php
/**
 * Meta box options view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-metabox" class="ipeng-wrap">
  <div class="container-fluid container ipeng-form">
    <div class="ipeng-fields">

      <?php
      /*
       * Widget
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipeng-input-widget"><?php _e( 'Widget', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipeng_post_widget" id="ipeng-input-widget">
            <option value="0"><?php _e( 'None', IPENG_SLUG ); ?></option>
            <?php
            $current = get_post_meta( $this->post->ID, '__ipeng_post_widget', true );

            if ( ! empty( $this->widgets ))
            {
              foreach( $this->widgets as $widget )
              {
                $sltd = '';
                if ( $widget->ID == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
              }
            }
            ?>
          </select>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipeng_mbox_nonce' ); ?>
</div>
