<?php
/**
 * Main content box
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st   = $this->setting;
$info = $st->getSetting( 'widget_info' );

$bgcolor  = $st->getSetting( 'content_background_color', '#f9f9f9' );
$color    = $st->getSetting( 'content_text_color', '#333333' );
$bowidth  = $st->getSetting( 'content_border_width' );
$bocolor  = $st->getSetting( 'content_border_color', '#dddddd' );
$padding  = $st->getSetting( 'content_padding', '0' );

//
//Image
$imgurl = false;
if ( $bgimg = $st->getSetting( 'content_background_image' ))
{
  $data = wp_get_attachment_image_src( $bgimg, 'full' );
  if ( ! empty( $data[0] )) {
    $imgurl = $data[0];
  }
}
$repeat   = $st->getSetting( 'content_background_repeat', 'repeat' );

//Font
$font_opt = $st->getSetting( 'content_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );
?>

<style>
<?php
//.ipeng-widget-main
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-main {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  background-color: <?php echo $bgcolor ?>;
}
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-content-loader {
  color: <?php echo $color; ?>;
  background-color: <?php echo $bgcolor ?>;
}

<?php
//.ipeng-widget-main-inner
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-main-inner {
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
</style>

<?php
$mainClass = 'ipeng-widget-main';
if ( $radius = $st->getSetting( 'content_border_radius' )) {
  $mainClass .= ' ipeng-radius-' . $radius;
}
$action = $st->getSetting( 'action_type', 'display' );
?>
<!-- start: .ipeng-widget-main -->
<div class="<?php echo $mainClass; ?>" data-action="<?php echo $action; ?>">
	<div class="ipeng-widget-main-inner">

    <?php
    $this->view( 'front/widget/choice' );
    $this->view( 'front/widget/result' );
    ?>

    <div class="ipeng-content-loader" style="display:none;">
      <i class="ipeng-fa ipeng-fa-spin ipeng-fa-spinner"></i>
    </div>

	</div>
</div>
<!-- end: .ipeng-widget-main -->