<?php
/**
 * Admin dashboard view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-dashboard" class="wrap ipeng-wrap ipeng-admin">
    <div class="ipeng-inner">

        <?php
        $this->view( 'admin/general/header' );
        ?>

        <div class="ipeng-main">
            <div class="ipeng-main-info">
                <?php
                if ( isset( $_GET['create'] )) :
                ?>
                <div class="ipeng-alert ipeng-alert-success" style="display: block;">
                    <?php _e( 'Successfully add a widget.', IPENG_SLUG ); ?>
                </div>
                <?php
                elseif ( isset( $_GET['delete'] )) :
                ?>
                <div class="ipeng-alert ipeng-alert-success" style="display: block;">
                    <?php _e( 'Successfully deleting a widget.', IPENG_SLUG ); ?>
                </div>
                <?php
                endif;
                ?>
            </div>

            <div class="ipeng-primary">
              <div class="_add-button mb30">
                <?php
                $link = admin_url() . 'admin.php?page=' . IPENG_PAGENAME . '-create';
                ?>
                <a href="<?php echo $link; ?>" class="ipeng-btn ipeng-btn-success ipeng-btn-sm _add-page">
                  <i class="ipeng-fa ipeng-fa-plus-circle"></i>
                  <?php _e( 'Add New Widget', IPENG_SLUG ); ?>
                </a>
              </div>

              <?php
              require_once( IPENG_LIB . 'tableMain.php' );
              $list = new IPEng_Table_Main();
              $list->render();
              ?>
            </div>
        </div>

    </div>

</div>
