<?php
/**
 * Result page content view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
$bgcolor  = $st->getSetting( 'content_background_color', '#f9f9f9' );
$color    = $st->getSetting( 'content_text_color', '#333333' );
$bowidth  = $st->getSetting( 'content_border_width' );
$bocolor  = $st->getSetting( 'content_border_color', '#dddddd' );
$padding  = $st->getSetting( 'content_padding', '0' );

//
//Image
$imgurl = false;
if ( $bgimg = $st->getSetting( 'content_background_image' ))
{
  $data = wp_get_attachment_image_src( $bgimg, 'full' );
  if ( ! empty( $data[0] )) {
    $imgurl = $data[0];
  }
}
$repeat   = $st->getSetting( 'content_background_repeat', 'repeat' );

//Font
$font_opt = $st->getSetting( 'content_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );
?>

<style>
<?php
//.ipeng-widget-main
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-main {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  background-color: <?php echo $bgcolor ?>;
}
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-content-loader {
  color: <?php echo $color; ?>;
  background-color: <?php echo $bgcolor ?>;
}

<?php
//.ipeng-widget-main-inner
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-main-inner {
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
</style>

<?php
$mainClass = 'ipeng-widget-main';
if ( $radius = $st->getSetting( 'content_border_radius' )) {
  $mainClass .= ' ipeng-radius-' . $radius;
}
$action = $st->getSetting( 'action_type', 'display' );
?>
<!-- start: .ipeng-widget-main -->
<div class="<?php echo $mainClass; ?>" data-action="<?php echo $action; ?>">
    <div class="ipeng-widget-main-inner">

        <?php
        $info = $st->getSetting( 'result_info' );
        if ( ! empty( $info )) :
        ?>
        <div class="ipeng-page-info">
          <p><?php echo $info; ?></p>
        </div>
        <?php
        endif;
        ?>

        <?php
        $color = $st->getSetting( 'choice_text_color', '#333333' );

        //Font
        $font_opt = $st->getSetting( 'choice_font_family', 'roboto' );
        $family   = IPEng_Font::getFamily( $font_opt );

        $mainClass  = 'ipeng-result';
        $mainClass .= ' ipeng-result-style-' . $st->getSetting( 'result_style', 1 );
        ?>
        <style>
        <?php
        //.ipeng-result
        ?>
        .ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-result {
          color: <?php echo $color; ?>;
          font-family: <?php echo $family; ?>;
        }
        </style>
        <div class="<?php echo $mainClass; ?>">
          <div class="ipeng-result-inner">
            <?php $this->view( 'front/widget/stat'); ?>
          </div>
        </div>

    </div>
</div>
<!-- end: .ipeng-widget-main -->