<?php
/**
 * Result
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( empty( $this->choices )) {
	return;
}

$st    = $this->setting;
$color = $st->getSetting( 'choice_text_color', '#333333' );

//Font
$font_opt = $st->getSetting( 'choice_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );

$mainClass  = 'ipeng-result';
$mainClass .= ' ipeng-result-style-' . $st->getSetting( 'result_style', 1 );

$dsp = ' style="display:none;"';
if ( $this->isVoted ) {
	$dsp = '';
}
?>

<style>
<?php
//.ipeng-result
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-result {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
}
</style>

<div class="<?php echo $mainClass; ?>"<?php echo $dsp; ?>>
	<div class="ipeng-result-inner">

		<?php
		global $post;

		$this->post = $post; 
		$this->view( 'front/widget/stat'); 
		?>

	</div>
</div>