<?php
/**
 * Page navigation view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipeng-sidebar">
  <div class="ipeng-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipeng-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipeng-page-menu ipeng-tab-menu">
      <li>
        <a href="#ipeng-section-general" class="active">
          <i class="ipeng-fa ipeng-fa-cogs"></i>
          <strong><?php _e( 'General', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->widget ):
      ?>
      <li>
        <a href="#ipeng-section-content">
          <i class="ipeng-fa ipeng-fa-file-text"></i>
          <strong><?php _e( 'Content', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipeng-section-result">
          <i class="ipeng-fa ipeng-fa-bar-chart"></i>
          <strong><?php _e( 'Result', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipeng-section-design">
          <i class="ipeng-fa ipeng-fa-paint-brush"></i>
          <strong><?php _e( 'Box Design', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipeng-section-effect">
          <i class="ipeng-fa ipeng-fa-magic"></i>
          <strong><?php _e( 'Effect', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipeng-section-statistic">
          <i class="ipeng-fa ipeng-fa-bar-chart"></i>
          <strong><?php _e( 'Statistic', IPENG_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
    <?php
    if ( $this->widget ):
    ?>
    <ul class="ipeng-page-menu">
      <li>
        <a class="ipeng-page-menu-preview _widget" href="#">
          <i class="ipeng-fa ipeng-fa-eye"></i>
          <strong><?php _e( 'Preview', IPENG_SLUG ); ?></strong>
        </a>
      </li>
    </ul>
    <?php
    endif;
    ?>
  </div>
</div>
